RedCrawler API
Moderation V1

Wiki Revisions by Subreddit Name V1

Get recent wiki revisions for a subreddit.

GET /api/v1/moderate/wiki-revisions/{subreddit}

Get recent wiki revisions for a subreddit.

Path parameters

NameTypeRequiredDescription
subredditstringYesSubreddit name (e.g. test).

Query parameters

NameTypeRequiredDescription
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.
limitstringNoNumber of items (1-100, default: 25).

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/moderate/wiki-revisions/test?bearer=<bearer>&proxy=<proxy>&limit=25" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/wiki-revisions/test?bearer=<bearer>&proxy=<proxy>&limit=25", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/wiki-revisions/test?bearer=<bearer>&proxy=<proxy>&limit=25"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "revisions": [],
    "cursor": null
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:02.629110+00:00"
}

On this page